com.typesafe.config.impl

## Class ConfigImpl

- java.lang.Object
- - com.typesafe.config.impl.ConfigImpl

    public class ConfigImpl
    extends java.lang.Object

Internal implementation detail, not ABI stable, do not touch. For use only by the `com.typesafe.config` package.

### Constructor Summary

Constructors
Constructor and Description
`ConfigImpl()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Config` `computeCachedConfig(java.lang.ClassLoader loader, java.lang.String key, java.util.concurrent.Callable<Config> updater)`
`static Config` `defaultReference(java.lang.ClassLoader loader)`
`static Config` `defaultReferenceUnresolved(java.lang.ClassLoader loader)` This returns the unresolved reference configuration, but before doing so, it verifies that the reference configuration resolves, to ensure that it is self contained and doesn't depend on any higher level configuration files.
`static Config` `emptyConfig(java.lang.String originDescription)`
`static Config` `envVariablesAsConfig()`
`static Config` `envVariablesOverridesAsConfig()`
`static ConfigValue` `fromAnyRef(java.lang.Object object, java.lang.String originDescription)`
`static ConfigObject` `fromPathMap(java.util.Map<java.lang.String,? extends java.lang.Object> pathMap, java.lang.String originDescription)`
`static ConfigOrigin` `newFileOrigin(java.lang.String filename)`
`static ConfigOrigin` `newSimpleOrigin(java.lang.String description)`
`static ConfigOrigin` `newURLOrigin(java.net.URL url)`
`static ConfigObject` `parseFileAnySyntax(java.io.File basename, ConfigParseOptions baseOptions)`
`static ConfigObject` `parseResourcesAnySyntax(java.lang.Class<?> klass, java.lang.String resourceBasename, ConfigParseOptions baseOptions)`
`static ConfigObject` `parseResourcesAnySyntax(java.lang.String resourceBasename, ConfigParseOptions baseOptions)`
`static void` `reloadEnvVariablesConfig()`
`static void` `reloadEnvVariablesOverridesConfig()`
`static void` `reloadSystemPropertiesConfig()`
`static Config` `systemPropertiesAsConfig()`
`static void` `trace(int indentLevel, java.lang.String message)`
`static void` `trace(java.lang.String message)`
`static boolean` `traceLoadsEnabled()`
`static boolean` `traceSubstitutionsEnabled()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConfigImpl

    public ConfigImpl()

### Method Detail

#### computeCachedConfig

    public static computeCachedConfig(java.lang.ClassLoader loader,
                                             java.lang.String key,
                                             java.util.concurrent.Callable<Config> updater)

#### parseResourcesAnySyntax

    public static parseResourcesAnySyntax(java.lang.Class<?> klass,
                                                       java.lang.String resourceBasename,
                                                       ConfigParseOptions baseOptions)

#### parseResourcesAnySyntax

    public static parseResourcesAnySyntax(java.lang.String resourceBasename,
                                                       ConfigParseOptions baseOptions)

#### parseFileAnySyntax

    public static parseFileAnySyntax(java.io.File basename,
                                                  ConfigParseOptions baseOptions)

#### emptyConfig

    public static emptyConfig(java.lang.String originDescription)

#### fromAnyRef

    public static fromAnyRef(java.lang.Object object,
                                         java.lang.String originDescription)

#### fromPathMap

    public static fromPathMap(java.util.Map<java.lang.String,? extends java.lang.Object> pathMap,
                                           java.lang.String originDescription)

#### systemPropertiesAsConfig

    public static systemPropertiesAsConfig()

#### reloadSystemPropertiesConfig

    public static void reloadSystemPropertiesConfig()

#### envVariablesAsConfig

    public static envVariablesAsConfig()

#### reloadEnvVariablesConfig

    public static void reloadEnvVariablesConfig()

#### envVariablesOverridesAsConfig

    public static envVariablesOverridesAsConfig()

#### reloadEnvVariablesOverridesConfig

    public static void reloadEnvVariablesOverridesConfig()

#### defaultReference

    public static defaultReference(java.lang.ClassLoader loader)

#### defaultReferenceUnresolved

    public static defaultReferenceUnresolved(java.lang.ClassLoader loader)

This returns the unresolved reference configuration, but before doing so, it verifies that the reference configuration resolves, to ensure that it is self contained and doesn't depend on any higher level configuration files.

#### traceLoadsEnabled

    public static boolean traceLoadsEnabled()

#### traceSubstitutionsEnabled

    public static boolean traceSubstitutionsEnabled()

#### trace

    public static void trace(java.lang.String message)

#### trace

    public static void trace(int indentLevel,
                             java.lang.String message)

#### newSimpleOrigin

    public static newSimpleOrigin(java.lang.String description)

#### newFileOrigin

    public static newFileOrigin(java.lang.String filename)

#### newURLOrigin

    public static newURLOrigin(java.net.URL url)